## org.apache.lucene.analysis.tokenattributes
Class PositionLengthAttributeImpl

    java.lang.Object
      org.apache.lucene.util.AttributeImpl
          org.apache.lucene.analysis.tokenattributes.PositionLengthAttributeImpl

All Implemented Interfaces:
  Cloneable, PositionLengthAttribute, Attribute

    public class PositionLengthAttributeImpl

extends AttributeImpl
implements PositionLengthAttribute, Cloneable

Default implementation of `PositionLengthAttribute`.

Constructor Summary
`PositionLengthAttributeImpl()` Initializes this attribute with position length of 1.

Method Summary
`void` `clear()` Clears the values in this AttributeImpl and resets it to its default value.
`void` `copyTo(AttributeImpl target)` Copies the values from this Attribute into the passed-in target attribute.
`boolean` `equals(Object other)`
`int` `getPositionLength()` Returns the position length of this Token.
`int` `hashCode()`
`void` `setPositionLength(int positionLength)` Set the position length of this Token.

Methods inherited from class org.apache.lucene.util.AttributeImpl
`clone, reflectAsString, reflectWith`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PositionLengthAttributeImpl

    public PositionLengthAttributeImpl()

  Initializes this attribute with position length of 1.

Method Detail

### setPositionLength

    public void setPositionLength(int positionLength)

  Description copied from interface: `PositionLengthAttribute`
  Set the position length of this Token.

  The default value is one.

  Specified by:
    `setPositionLength` in interface `PositionLengthAttribute`
  Parameters:
    `positionLength` - how many positions this token spans.
  See Also:
    `PositionLengthAttribute.getPositionLength()`

### getPositionLength

    public int getPositionLength()

  Description copied from interface: `PositionLengthAttribute`
  Returns the position length of this Token.

  Specified by:
    `getPositionLength` in interface `PositionLengthAttribute`
  See Also:
    `PositionLengthAttribute.setPositionLength(int)`

### clear

    public void clear()

  Description copied from class: `AttributeImpl`
  Clears the values in this AttributeImpl and resets it to its default value. If this implementation implements more than one Attribute interface it clears all.

  Specified by:
    `clear` in class `AttributeImpl`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### copyTo

    public void copyTo(AttributeImpl target)

  Description copied from class: `AttributeImpl`
  Copies the values from this Attribute into the passed-in target attribute. The target implementation must support all the Attributes this implementation supports.

  Specified by:
    `copyTo` in class `AttributeImpl`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.